Fetch a URL and return page metadata, Markdown, State JSON, and Highlights when requested.
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
Include Options for the response. Use a comma-separated list with appendix for Appendix and statejson for State JSON. Defaults to State JSON when omitted; use include= for Markdown only. For Highlights requests without a URL include parameter, the request body include fields define the Highlights corpus.
Appendix omission marker verbosity in the Markdown body: compact (default), detailed, or off. Overrides include.appendixMarkers from the request body.
"off" | "compact" | "detailed"application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
{
"meta": {
"version": 1,
"url": "string",
"capturedAt": "string",
"snapshotId": "string",
"
{
"issues": [
{
"_tag": "Pointer",
"path": [
"string"
],
"message": "string"
}
],
"
{
"reason": "InvalidApiKey",
"description": "string",
"_tag": "AuthFailed"
}{
"organizationId": "string",
"blockedUntil": "string",
"_tag": "AccessBlocked"
}{
"_tag": "FetchOriginHttpError",
"url": "string",
"statusCode": 404,
"contentType": "text/html"
}{
"_tag": "FetchOriginHttpError",
"url": "string",
"statusCode": 410,
"contentType": "text/html"
}{
"_tag": "PayloadTooLarge"
}{
"url": "string",
"contentType": "application/octet-stream",
"_tag": "FetchUnsupportedContentType"
}{
"url": "string",
"availability": "private",
"message": "string",
"_tag": "FetchVideoUnavailable"
}{
"retryable": true,
"retryAfterSeconds": 0,
"_tag": "TooManyRequests"
}{
"retryable": true,
"_tag": "InternalError"
}{
"url": "string",
"failureType": "pageNeverSettled",
"retryable": false,
"_tag": "FetchCaptureFailed"
}{
"message": "string",
"requestId": "string",
"dispatchOutcome": "cancelled_before_start",
"retryable": true,
"_tag":
{
"url": "string",
"timeoutMs": 150000,
"retryable": false,
"_tag": "FetchCaptureTimeout"
}{
"url": "string",
"timeoutMs": 150000,
"retryable": true,
"_tag": "FetchCapacityTimeout"
}The URL to fetch content from (http or https only)
Specifies which content formats to include in the response
Options for Highlights. When present, Fetch returns relevant passages.
Configuration options for browser behavior during the fetch
Limits and conversion options applied when the URL serves a non-HTML document